Subject: [Roll] DIS filtering

From: Matteo Paris <[email-masked]>
Date: Wed, 17 Mar 2010 15:40:30 -0500

Every recipient of a multicast DIS must reset its trickle timer for 
every DAG it belongs to.  I'm concerned with how to minimize the 
burst of control message activity this will cause in a dense network 
with multiple DAGs.

It is often the case that the node sending the DIS message has 
information that could reduce the number of responses necessary.  For 
example, it may know the DAG id, instance id, or destination 
prefix(es) that it is interested in.  By  including this in the DIS, 
receiving nodes could avoid resetting trickle timers for DAGs that do 
not match the desired criteria.

Another option to reduce control messages would be for nodes 
receiving a multicast DIS to respond with a single (jittered) DIO, 
but not reset their trickle timer.  This is slightly more complicated 
to implement than just resetting the timer, but could save a lot of 
control overhead.

Matteo